#ifndef _TRIG_H_
#define _TRIG_H_

#ifndef PI
#define PI	3.1415962814
#endif

class CVector
{
public:
	double x, y, z;
	
	CVector(void);
	CVector(double x0, double y0, double z0);
	~CVector(void);
	
	CVector operator+(const CVector & b) const;
	CVector operator-(const CVector & b) const;
	CVector operator-() const;
	CVector operator*(double n) const;
	CVector operator/(double n) const;
	double length(void) const;
	double operator*(const CVector & b) const;
	double operator^(const CVector & b) const;
	CVector operator%(const CVector & b) const;
	CVector unit(void) const;
};
CVector operator*(double n, const CVector & a);

#endif
